function xhat = lse(stft_x,w,wshft,nfft)

wlen = length(w);
nwin = size(stft_x,1);
xhat = zeros(1,wlen*nwin - wshft*(nwin-1)); % Valid for 50% overlap

n = 0;
for frame = 1:nwin
  fp = ifft(stft_x(frame,:));
  fp = fp(1:wlen);
  xhat(n+(1:wlen)) = xhat(n+(1:wlen)) + fp.*w;
  n = n + wshft;
end
xhat = xhat/max(w.^2);
xhat = xhat(1:(n-wshft+wlen)); % Correct if there is more than 50% overlap